Hospitality
  1. Rooms
Hospitality
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
      • Get Apartment Details
      • Apartment Status
      • Create Apartment
      • Update Apartment
      • Delete Apartment
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
      GET
    • View Apartment Details
      GET
    • Get Avaliable Apartments
      GET
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
  1. Rooms

Get All Rooms

GET
/users/rooms/all

Request

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/users/rooms/all'
Response Response Example
{
    "status": true,
    "message": "Request data successfully queried",
    "data": [
        {
            "_id": "653a1c4b29d03a5e5f17a704",
            "name": "Asa Sinle room",
            "type": "Sinle Room",
            "price": 35000,
            "location": "Akure",
            "bookedStatus": false,
            "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
            "facilities": [
                "Air Condition",
                "Ree Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "testing"
            ],
            "createdAt": "2023-10-26T07:59:07.894Z",
            "updatedAt": "2023-10-26T07:59:07.894Z",
            "__v": 0
        },
        {
            "_id": "653a2c588ce4a13762264c1d",
            "name": "Asa  Royal room",
            "type": "Sinle Room",
            "price": 35000,
            "location": "Akure",
            "bookedStatus": false,
            "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
            "facilities": [
                "Air Condition",
                "Ree Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "testing"
            ],
            "createdAt": "2023-10-26T09:07:36.608Z",
            "updatedAt": "2023-10-26T09:07:36.608Z",
            "__v": 0
        },
        {
            "_id": "653a2c6f8ce4a13762264c20",
            "name": "Asa Royal room",
            "type": "Family Room",
            "price": 36000,
            "location": "Akure",
            "bookedStatus": false,
            "description": "This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted and built up for your 100% deep satisfaction. You made the right choice! Proceed to check out. This is some content on how beautiful this single room is. Everything from the ambience to the aura of Asa room is rooted. You made the right choice! Proceed to check out.",
            "facilities": [
                "Air Condition",
                "Ree Wi-Fi",
                "Nice View",
                "24hr Electricity"
            ],
            "comments": [],
            "images": [
                "testing"
            ],
            "createdAt": "2023-10-26T09:07:59.719Z",
            "updatedAt": "2023-10-26T09:07:59.719Z",
            "__v": 0
        }
    ]
}
Modified at 2026-03-12 16:47:55
Previous
Get All Refunds
Next
View Room Details
Built with